%define drakxtools_required_version  10.4.94-1mdv2007.0
%define drakxtools_conflicted_version  10.4.89

%define libname %mklibname %{name}

Summary:  Tools to configure the keyboard, the mice and the graphic card
Name:     drakx-kbd-mouse-x11
Version:  0.15.2
Release:  %mkrel 1
Source0:  %name-%version.tar.bz2
License:  GPL
Group:    System/Configuration/Other
Url:      http://www.mandrivalinux.com/en/cvs.php3
BuildRequires: perl-MDK-Common-devel gettext perl-devel
BuildRequires: libxxf86misc-devel ncurses-devel
Requires: drakxtools-curses => %drakxtools_required_version
%ifnarch %{sunsparc}
Requires: monitor-edid >= 1.5
%endif %{sunsparc}
BuildRoot: %_tmppath/%name-%version-buildroot
# for program:
Conflicts: drakxtools <= %drakxtools_conflicted_version
# for man pages:
Conflicts: drakxtools-curses <= %drakxtools_conflicted_version
# for Cards+ using nvidia97xx instead of nvidia, and nvidia71xx instead of NVIDIA_LEGACY:
Conflicts: ldetect-lst < 0.1.151

# we don't want to require X libs (xf86misc is always used inside an eval)
%define _requires_exceptions ^libX

%description
Keyboarddrake enables to configure  the keyboard.
Mousedrake enables to configure the mice.
XFdrake enables to configure the graphic card.

%prep
%setup -q

%build
%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall_std

#install lang
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog
%_sbindir/*
%_datadir/libDrakX/pixmaps/*
/usr/lib/libDrakX/auto/*
/usr/lib/libDrakX/xf86misc/main.pm
/usr/lib/libDrakX/Xconfig/*.pm
/usr/lib/libDrakX/*.pm





%changelog
* Mon Jul 09 2007 Pixel <pixel@mandriva.com> 0.15.2-1mdv2007.1
+ Revision: 50632
- bug fix release, 0.15.2
- wacom configuration:
  o enhance configuration by using /dev/input/by-id/xxx
  o add "pad" InputDevice section
- fix displaying "3D hardware acceleration: no" for nvidia proprietary driver
  (#31326)
- bugfix release, 0.15.1
- [bugfix] fix test message not translated (#30261)
- don't use 1280x1024 prefered resolution (#30069)
  (using prefered resolution only when adding explicit gtf modelines)
- workaround buggy fglrx driver: make dm restart xserver (#29550)

  + Andreas Hasenack <andreas@mandriva.com>
    - branched cooker into 2007.1 (will have to revert some recent changes)


* Wed Apr 04 2007 Pixel <pixel@mandriva.com> 0.15-1mdv2007.1
+ Revision: 150608
- new release, 0.15
- drakkeyboard & rescue: fix loadkeys_files() for x86_64
- ensure VertRefresh range include 60Hz (for buggy edids, #30094)

* Fri Mar 23 2007 Pixel <pixel@mandriva.com> 0.14-1mdv2007.1
+ Revision: 148566
- new release, 0.14
- enable Composite by default on nvidia97xx and nvidia96xx
  (still disabled on nvidia71xx and fglrx) (#29445)

* Thu Mar 22 2007 Pixel <pixel@mandriva.com> 0.13-1mdv2007.1
+ Revision: 148018
- bug fix release, 0.13
- fix typo making installation discard nvidia driver
- fix group (#29810)

* Thu Mar 22 2007 Pixel <pixel@mandriva.com> 0.12-2mdv2007.1
+ Revision: 147859
- new release, 0.12
- ensure ModulePath is not dropped after changing an option (#29591)

* Fri Mar 16 2007 Pixel <pixel@mandriva.com> 0.11-2mdv2007.1
+ Revision: 144896
- do not require X libs, it works without them
- moved the require monitor-edid here from drakxtools-curses

* Thu Mar 15 2007 Olivier Blin <oblin@mandriva.com> 0.11-1mdv2007.1
+ Revision: 144462
- introduce pkg_name_for_Driver2 (for One generation)

* Tue Mar 13 2007 Pixel <pixel@mandriva.com> 0.10-1mdv2007.1
+ Revision: 142179
- remove update_menus since there is no menu file
- use option AddARGBGLXVisuals when Composite is enabled on proprietary nvidia
  driver (cf #28779)
- remove empty section Extensions after disabling Composite
- ensure "/usr/lib/xorg/modules/" is removed from ModulePath (note the ending "/")
- if we have some special ModulePath, ensure the last one is the standard ModulePath
- requires drakxtools-curses for interactive/curses.pm (#29423)

* Mon Mar 12 2007 Pixel <pixel@mandriva.com> 0.9-1mdv2007.1
+ Revision: 142077
- bug fix release, 0.9:
- fix typo breaking GL configuration for fglrx (#29379)
- old behaviour of X auto configuration: prompt for (old school) multi-head
  choice instead of failing
- adapt the card names to Cards+ changes
  (nb: this is mostly obsolete stuff, to be dropped after 2007.1)

* Mon Mar 05 2007 Pixel <pixel@mandriva.com> 0.8-1mdv2007.1
+ Revision: 133011
- bug fix release:
- the Driver must be nvidia for nvidia drivers
- remove debug code forcing GeForce
- don't allow to install when ldetect-lst is not updated

* Fri Mar 02 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.7-1mdv2007.1
+ Revision: 131498
- handle 'nvidia97xx',  'nvidia96xx' & 'nvidia71xx' NV drivers

* Thu Mar 01 2007 Pixel <pixel@mandriva.com> 0.6-1mdv2007.1
+ Revision: 130553
- use ModulePath "/usr/LIB/xorg/modules/extensions/nvidia"
  instead of Load "/usr/LIB/xorg/modules/extensions/nvidia/libglx.so"
  (#28779)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - bump conflict on drakxtools due to icon move

* Thu Feb 08 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5-1mdv2007.1
+ Revision: 118204
- new release

* Mon Jan 29 2007 Pixel <pixel@mandriva.com> 0.4-1mdv2007.1
+ Revision: 114821
- bug fix release, 0.4
- keyboarddrake: make it work again (#28438)

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.3-2mdv2007.1
+ Revision: 110904
- relax requires on drakxtools; we don't need gtk+ and the like
- do use translations

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.2-1mdv2007.1
+ Revision: 110843
- new release
- add missing keyboard.pm & mouse.pm

* Fri Jan 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.1-2mdv2007.1
+ Revision: 110801
- buildrequire ncurses-devel
- buildrequire perl-devel
- add buildrequires
- we are not noarch
- keyboardrake, mousedrake and XFdrake are splited in their own package
- add 2560x1600 (16/10) (pixel)
- add plugins handling to XFdrake (pixel)
- Import drakx-kbd-mouse-x11

